#
# spec file for package permissions (Version 2009.8.13)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           permissions
License:        GPL v2 or later
Group:          Productivity/Security
AutoReqProv:    on
Version:        2009.8.13
Release:        1
Provides:       aaa_base:/etc/permissions
Requires:       /sbin/SuSEconfig
PreReq:         %fillup_prereq
Summary:        SUSE Linux Default Permissions
#Source:       permissions.tar.bz2
Source1:        SuSEconfig.permissions
Source2:        chkstat.c
Source3:        chkstat.8
Source4:        sysconfig.security
Source5:        permissions
Source6:        permissions.easy
Source7:        permissions.paranoid
Source8:        permissions.secure
Source9:        permissions.local
Source99:       checkpermissionfiles.pl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains specifications for permissions of specific files,
directories, and devices depending on the local security settings. The
local security setting (easy, secure, or paranoid) can be configured in
/etc/sysconfig/security.



Authors:
--------
    Werner Fink <werner@suse.de>
    Roman Drahtmller <draht@suse.de>

%prep

%build
gcc -Wall $RPM_OPT_FLAGS %{SOURCE2} -o chkstat

%install
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 chkstat $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT/sbin/conf.d
install -m 644 %{SOURCE3}  $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 644 %{SOURCE4}  $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT/etc
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT/etc

%post
%{fillup_only -n security}

%files
%defattr(-,root,root,-)
/etc/permissions
/etc/permissions.easy
/etc/permissions.secure
/etc/permissions.paranoid
%config(noreplace) /etc/permissions.local
%{_bindir}/chkstat
%{_mandir}/man8/chkstat.8*
/sbin/conf.d/SuSEconfig.permissions
/var/adm/fillup-templates/sysconfig.security

%changelog
